Skip to main content

Snapshot

Point-in-time snapshots of a volume.

Resource base path: /restapi/snapshot

MethodPathDescription
POST/restapi/snapshot/createSnapshotCreate Snapshot
GET/restapi/snapshot/snapshotListSnapshot List
DELETE/restapi/snapshot/deleteSnapshot/{uuid}Delete Snapshot
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Create Snapshot

Create Snapshot.

POST /restapi/snapshot/createSnapshot

Request body

FieldTypeRequiredDescription
volumeUuidstringNoUUID of the volume.
namestringNoName of the resource.
zoneUuidstringNoUUID of the zone the resource belongs to.
{
"volumeUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

Example request

curl -X POST \
"https://portal.your-domain.com/restapi/snapshot/createSnapshot" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"volumeUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}'

Responses

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listSnapShotResponse": [
{
"volumeUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"snapshotType": "string",
"domainName": "example-name",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"snapshotTime": "string",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
],
"count": 1
}

Snapshot List

Snapshot List.

GET /restapi/snapshot/snapshotList

Parameters

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.
uuidquerystringNoUUID of the resource.

Example request

curl -X GET \
"https://portal.your-domain.com/restapi/snapshot/snapshotList?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listSnapShotResponse": [
{
"volumeUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"snapshotType": "string",
"domainName": "example-name",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"snapshotTime": "string",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
],
"count": 1
}

Delete Snapshot

Delete Snapshot.

DELETE /restapi/snapshot/deleteSnapshot/{uuid}

Parameters

ParameterInTypeRequiredDescription
uuidpathstring✅ YesUUID of the resource.

Example request

curl -X DELETE \
"https://portal.your-domain.com/restapi/snapshot/deleteSnapshot/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses

CodeDescription
200Successful operation.
204No content.
401Invalid authentication credentials.
550Permission denied.
true